﻿using DeukBot4.MessageHandlers.CommandHandler.RequestStructure;
using Discord.WebSocket;

namespace DeukBot4.MessageHandlers.Permissions
{
    public static class PermissionValidator
    {
        public static PermissionLevel GetUserPermissionLevel(SocketMessage message)
        {
            if (message.Author.Id == Program.Settings.OwnerId)
            {
                return PermissionLevel.Owner;
            }
            if (message.Author.IsBot)
            {
                return PermissionLevel.Bot;
            }
            return PermissionLevel.Everyone;
        }

        public static bool CanUse(this CommandRequest req)
        {
            var level = GetUserPermissionLevel(req.OriginalMessage);
            return level >= req.Command.Permission;
        }
    }
}